Bug 174067 - coreutils spec file doesnt allow non-selinux compile
Summary: coreutils spec file doesnt allow non-selinux compile
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-24 09:27 UTC by JW
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 5.93-4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 17:43:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Permits non-selinux compile if desired (821 bytes, patch)
2005-11-24 09:30 UTC, JW
no flags Details | Diff

Description JW 2005-11-24 09:27:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows; U; AIIEEEE!; Win98; Windows 98; en-US; Gecko masquerading as IE; should it matter?; rv:1.8b) Gecko/20050217

Description of problem:
The spec file does not allow for non-selinux compile


Version-Release number of selected component (if applicable):
coreutils-5.2.1-48.1

How reproducible:
Sometimes

Steps to Reproduce:
1.rpm -v -ba --define "WITH_SELINUX 0" coreutils.spec
2.
3.
  

Actual Results:  SeLinux still compiled into all utilities


Expected Results:  SeLinux should not be compiled into all utilities when not required


Additional info:

Comment 1 JW 2005-11-24 09:30:15 UTC
Created attachment 121438 [details]
Permits non-selinux compile if desired

Comment 2 Tim Waugh 2005-12-02 17:12:24 UTC
Fixed in CVS.

Comment 3 Robert Scheck 2005-12-11 15:37:35 UTC
At least non-selinux compiles aren't really needed at Fedora Core any longer...

Comment 4 Tim Waugh 2005-12-12 17:43:04 UTC
Fixed package is coreutils-5.93-4.1.


Note You need to log in before you can comment on or make changes to this bug.